Nestopia Core API: Nes::Api::Input::Type

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Enum Nes::Api::Input::Type

Controller type.

Field Summary
`BANDAIHYPERSHOT` Bandai hypershot.
`BARCODEWORLD` Barcode World.
`CRAZYCLIMBER` Crazy Climber.
`DOREMIKKOKEYBOARD` Doremikko keyboard.
`EXCITINGBOXING` Exciting Boxing.
`FAMILYKEYBOARD` Family keyboard.
`FAMILYTRAINER` Family Trainer.
`HORITRACK` Horitrack.
`KONAMIHYPERSHOT` Konami hypershot.
`MAHJONG` Mahjong.
`MOUSE` Mouse.
`OEKAKIDSTABLET` Oeka Kids tablet.
`PACHINKO` Pachinko.
`PAD1` Standard pad #1
`PAD2` Standard pad #2
`PAD3` Standard pad #3
`PAD4` Standard pad #4
`PADDLE` Arkanoid paddle.
`PARTYTAP` Party Tap.
`POKKUNMOGURAA` Pokkun Moguraa.
`POWERGLOVE` Powerglove.
`POWERPAD` Powerpad.
`ROB` R.
`SUBORKEYBOARD` Subor keyboard.
`TOPRIDER` Top Rider bike.
`TURBOFILE` Turbo File.
`UNCONNECTED` Unconnected.
`ZAPPER` Zapper.

Field Detail

### BANDAIHYPERSHOT

    public BANDAIHYPERSHOT

  Bandai hypershot.

### BARCODEWORLD

    public BARCODEWORLD

  Barcode World.

### CRAZYCLIMBER

    public CRAZYCLIMBER

  Crazy Climber.

### DOREMIKKOKEYBOARD

    public DOREMIKKOKEYBOARD

  Doremikko keyboard.

### EXCITINGBOXING

    public EXCITINGBOXING

  Exciting Boxing.

### FAMILYKEYBOARD

    public FAMILYKEYBOARD

  Family keyboard.

### FAMILYTRAINER

    public FAMILYTRAINER

  Family Trainer.

### HORITRACK

    public HORITRACK

  Horitrack.

### KONAMIHYPERSHOT

    public KONAMIHYPERSHOT

  Konami hypershot.

### MAHJONG

    public MAHJONG

  Mahjong.

### MOUSE

    public MOUSE

  Mouse.

### OEKAKIDSTABLET

    public OEKAKIDSTABLET

  Oeka Kids tablet.

### PACHINKO

    public PACHINKO

  Pachinko.

### PAD1

    public PAD1

  Standard pad #1

### PAD2

    public PAD2

  Standard pad #2

### PAD3

    public PAD3

  Standard pad #3

### PAD4

    public PAD4

  Standard pad #4

### PADDLE

    public PADDLE

  Arkanoid paddle.

### PARTYTAP

    public PARTYTAP

  Party Tap.

### POKKUNMOGURAA

    public POKKUNMOGURAA

  Pokkun Moguraa.

### POWERGLOVE

    public POWERGLOVE

  Powerglove.

### POWERPAD

    public POWERPAD

  Powerpad.

### ROB

    public ROB

  R.O.B.

### SUBORKEYBOARD

    public SUBORKEYBOARD

  Subor keyboard.

### TOPRIDER

    public TOPRIDER

  Top Rider bike.

### TURBOFILE

    public TURBOFILE

  Turbo File.

### UNCONNECTED

    public UNCONNECTED

  Unconnected.

### ZAPPER

    public ZAPPER

  Zapper.

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD